image: mstrasuns/ubuntu-rust:latest

stages:
    - test
    - run

sanity:
    stage: test
    script: cargo test

style:
    stage: test
    script: cargo fmt -- --write-mode=diff

output:
    stage: run
    script: cargo run
